ctunnel-0.7-lp150.1.1.x86_64.rpm


Advertisement

Description

ctunnel - Crypto Tunnel for Proxying and Forwarding TCP Connections

Property Value
Distribution openSUSE Leap 15.0
Repository Security all
Package name ctunnel
Package version 0.7
Package release lp150.1.1
Package architecture x86_64
Package type rpm
Installed size 91.04 KB
Download size 43.84 KB
Official Mirror ftp.gwdg.de
ctunnel is a software for proxying and forwarding TCP connections via a
cryptographic tunnel.
ctunnel can be used to secure any existing TCP based protocol, such as HTTP,
VNC, Telnet, FTP, RSH, MySQL, etc, as well as UDP.
You can even tunnel SSH! (if you are really paranoid!).
You can also chain/bounce connections to any number of intermediary hosts.

Alternatives

Package Version Architecture Repository
ctunnel - - -

Requires

Name Value
libc.so.6(GLIBC_2.15)(64bit) -
libgcrypt.so.20()(64bit) -
libgcrypt.so.20(GCRYPT_1.6)(64bit) -
libgpg-error.so.0()(64bit) -
libgpg-error.so.0(GPG_ERROR_1.0)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libutil.so.1()(64bit) -
libutil.so.1(GLIBC_2.2.5)(64bit) -
libz.so.1()(64bit) -

Provides

Name Value
ctunnel = 0.7-lp150.1.1
ctunnel(x86-64) = 0.7-lp150.1.1

Download

Type URL
Binary Package ctunnel-0.7-lp150.1.1.x86_64.rpm
Source Package ctunnel-0.7-lp150.1.1.src.rpm

Install Howto

  1. Add the Security repository:
    # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/security/openSUSE_Leap_15.0/ security
  2. Install ctunnel rpm package:
    # zypper install ctunnel

Files

Path
/usr/bin/ctunnel
/usr/share/doc/packages/ctunnel/AUTHORS
/usr/share/doc/packages/ctunnel/COPYING
/usr/share/doc/packages/ctunnel/README
/usr/share/man/man1/ctunnel.1.gz

Changelog

2015-03-02 - avvissu@yandex.ru
- update to 0.7:
* VPN Support (Requires TUNTAP Driver, or PPP)
* plain/Proxy Support
* fixed UDP Tunneling
* post connection up exec
* bandwidth Meter (-S)
- Update to ctunnel-makefile_optflags_destdir.patch
- Spec file cleanup
2011-02-14 - pascal.bleser@opensuse.org
- update to 0.6:
* fixes high CPU utilization
* lowers heap usage
* fixes a segfault
2011-02-13 - pascal.bleser@opensuse.org
- update to 0.5:
* fixes memory leaks in pthread code
* fixes a crash in tunnel when the destination was unavailable
2010-06-05 - pascal.bleser@opensuse.org
- update to 0.4:
* uses threads instead of subprocesses
* OpenSSL and libgcrypt init cleanup and optimization
* added support for custom packet sizes
* fixed compression command line switch: now accepts argument
* Fixed typos in manpage/help
2010-05-17 - pascal.bleser@opensuse.org
- update to 0.3:
* support was added for:
+ UDP tunneling
+ compression
+ syslog
+ libgcrypt
2008-09-28 - guru@unixtech.be
- update to 0.2:
* a bug in name resolution in the tcp_connect function was fixed
2008-09-21 - guru@unixtech.be
- new package

See Also

Package Description
daes-0.41-lp150.3.1.x86_64.rpm AES Command Line Encryption Tool
eid-mw-4.0.6+1620-lp150.2.1.x86_64.rpm Belgium electronic identity card PKCS#11 module and Firefox plugin
eid-mw-devel-4.0.6+1620-lp150.2.1.x86_64.rpm Belgium electronic identity card PKCS#11 module - development package
eid-mw-firefox-4.0.6+1620-lp150.2.1.x86_64.rpm Firefox Extension for Belgium eID Middleware
eid-mw-libs-4.0.6+1620-lp150.2.1.x86_64.rpm Belgium electronic identity card PKCS#11 module - libraries
encfs-1.9.2-lp150.60.1.x86_64.rpm Userspace Encrypted File System
encfs-lang-1.9.2-lp150.60.1.noarch.rpm Translations for package encfs
envoy-14-lp150.11.2.x86_64.rpm A ssh/gpg-agent wrapper leveraging cgroups and systemd/socket activation
etherape-0.9.17-lp150.42.2.x86_64.rpm A Graphical Network Monitor
etherape-lang-0.9.17-lp150.42.2.noarch.rpm Translations for package etherape
evmctl-1.1-lp150.47.1.i586.rpm IMA/EVM signing utility
evmctl-1.1-lp150.47.1.x86_64.rpm IMA/EVM signing utility
fail2ban-0.10.3.1-lp150.102.1.noarch.rpm Bans IP addresses that make too many authentication failures
fipscheck-1.5.0-lp150.34.3.i586.rpm A library for integrity verification of FIPS validated modules
fipscheck-1.5.0-lp150.34.3.x86_64.rpm A library for integrity verification of FIPS validated modules
Advertisement
Advertisement